Delete device
Namespace: microsoft.graph
Delete a registered device.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Directory.AccessAsUser.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
The calling user must also be in one of the following Azure AD roles: Global Administrator, Intune Administrator, Windows 365 Administrator, or Cloud Device Administrator.
HTTP request
The {id} in the request is the value of the id property of the device, not the deviceId property.
DELETE /devices/{id}
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns 204 No Content response code. It does not return anything in the response body.
Example
Request
DELETE https://graph.microsoft.com/v1.0/devices/{id}
Response
HTTP/1.1 204 No Content
Saran dan Komentar
Kirim dan lihat umpan balik untuk